Bug 682386 - assumes all ethernet devices are named ethX
assumes all ethernet devices are named ethX
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sblim-cmpi-network (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 682387 682334
  Show dependency treegraph
 
Reported: 2011-03-04 21:35 EST by Bill Nottingham
Modified: 2014-03-16 23:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: sblim-cmpi-network-1.4.0-5.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 682387 (view as bug list)
Environment:
Last Closed: 2012-08-07 16:06:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2011-03-04 21:35:51 EST
Description of problem:

Network devices can have arbitrary names, and due to
http://fedoraproject.org/wiki/Features/ConsistentNetworkDeviceNaming, will have
different names in Fedora 15.

cmpiOSBase_NetworkPortImplementsIPEndpoint.c:CMPIInstance * _assoc_get_networkPort_INST()
...
  ptr = CMGetCharPtr(name);
  if( strstr(ptr,"eth") != NULL ) { targetClass = _RefLeftClassEth; }
  else if( strstr(ptr,"tr") != NULL ) { targetClass = _RefLeftClassTr; }
  else if( strstr(ptr,"lo") != NULL ) { targetClass = _RefLeftClassLo; }
  else { goto exit; }
...

cmpiOSBase_NetworkPortImplementsIPEndpointProvider.c:CMPIStatus OSBase_NetworkPortImplementsIPEndpointProviderAssociators( CMPIAssociationMI * mi,
...
        if( strcasecmp(resultClass,_RefLeftClassEth) == 0 &&
            strstr(ptr,"eth") != NULL ) {
          _RefLeftClass = _RefLeftClassEth;
        }
        else if( strcasecmp(resultClass,_RefLeftClassTr) == 0 &&
                 strstr(ptr,"tr") != NULL ) {
          _RefLeftClass = _RefLeftClassTr;
        }
        else if( strcasecmp(resultClass,_RefLeftClassLo) == 0 &&
                 strstr(ptr,"lo") != NULL ) {
          _RefLeftClass = _RefLeftClassLo;
        }
        else { goto exit; }
...
same in
CMPIStatus OSBase_NetworkPortImplementsIPEndpointProviderAssociatorNames( CMPIAssociationMI * mi,

OSBase_CommonNetwork.c:int enum_all_netPorts( struct netPortList ** lptr ) {

...
      if(hdchk && hdchk[0]) {
        if( strstr(hdchk[0], "Ethernet") != NULL ) { type = 1; }
        if( strstr(hdchk[0], "Token Ring") != NULL ) { type = 2; }
        if( strstr(hdchk[0], "Local Loopback") != NULL ) { type = 3; }
      }
      else {
        if( strstr(port,"eth") != NULL ) { type = 1; }
        if( strstr(port,"tr")  != NULL ) { type = 2; }
        if( strstr(port,"lo")  != NULL ) { type = 3; }
      }
...
Version-Release number of selected component (if applicable):

sblim-cmpi-network-1.4.0

How reproducible:

Via code inspection.
Comment 1 Fedora End Of Life 2012-08-07 16:06:46 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Vitezslav Crhonek 2012-08-13 06:32:43 EDT
Upstream bug tracker with proposed patch (applied in Fedora):

http://sourceforge.net/tracker/index.php?func=detail&aid=3312510&group_id=128809&atid=712784

Note You need to log in before you can comment on or make changes to this bug.